Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class StatisticPoint

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.StatisticPoint

Direct Known Subclasses:
  BestScoreStatisticPoint, BestSolutionMutationStatisticPoint, CalculateCountStatisticPoint, ConstraintMatchTotalBestScoreStatisticPoint, ConstraintMatchTotalStepScoreStatisticPoint, MemoryUseStatisticPoint, MoveCountPerStepStatisticPoint, PickedMoveTypeBestScoreDiffStatisticPoint, PickedMoveTypeStepScoreDiffStatisticPoint, StepScoreStatisticPoint

    public abstract class StatisticPoint

extends Object

Implementations must be immutable

Constructor Summary
`StatisticPoint()`

Method Summary
`static String` | `buildCsvLine(String... values)`
`static String` | `buildCsvLineWithDoubles(long timeMillisSpent, double... values)`
`static String` | `buildCsvLineWithLongs(long timeMillisSpent, long... values)`
`static String` | `buildCsvLineWithStrings(long timeMillisSpent, String... values)`
`static List<String>` | `parseCsvLine(String line)`
`abstract String` | `toCsvLine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticPoint

    public StatisticPoint()

Method Detail

### toCsvLine

    public abstract String toCsvLine()

### buildCsvLineWithLongs

    public static String buildCsvLineWithLongs(long timeMillisSpent,
                                               long... values)

### buildCsvLineWithDoubles

    public static String buildCsvLineWithDoubles(long timeMillisSpent,
                                                 double... values)

### buildCsvLineWithStrings

    public static String buildCsvLineWithStrings(long timeMillisSpent,
                                                 String... values)

### buildCsvLine

    public static String buildCsvLine(String... values)

### parseCsvLine

    public static List<String> parseCsvLine(String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.